Package org.eclipse.cdt.utils.coff

# Class PEHelper64

java.lang.Object
org.eclipse.cdt.utils.coff.PEHelper64

public final class PEHelper64 extends Object
`PEHelper64` is a wrapper class for the `PE64` class to provide higher level API for sorting/searching the COFF data.

Since:
  8.4
See Also:
  - `PE64`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final record`
`PEHelper64.Sizes`

## Constructor Summary

Constructors
Constructor
Description
`PEHelper64(PE64 pe64)`

## Method Summary

Modifier and Type
Method
Description
`PEHelper64.Sizes`
`getSizes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PEHelper64

public PEHelper64(PE64 pe64)

## Method Details

### getSizes

public PEHelper64.Sizes getSizes() throws IOException

Throws:
  `IOException`